質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

解決済

Djangoのurls.pyでTypeError: 'module' object is not iterable

circular2016
circular2016

総合スコア48

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

1回答

0評価

0クリップ

174閲覧

投稿2022/06/19 06:26

Djangoでアプリをつくり始めました。

行いたいこと

最も初歩的なHelloWorldを行いたいです。
(「Hello」という文字だけの画面をとりあえず表示したい)

view.pyとurls.pyを編集し、下記コマンドでDjangoを起動しましたが、エラーとなりました。

python manage.py runserver

エラー内容

Watching for file changes with StatReloader Performing system checks... Exception in thread django-main-thread: Traceback (most recent call last): File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\urls\resolvers.py", line 698, in url_patterns iter(patterns) TypeError: 'module' object is not iterable The above exception was the direct cause of the following exception: Traceback (most recent call last): File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\threading.py", line 932, in _bootstrap_inner self.run() File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\threading.py", line 870, in run self._target(*self._args, **self._kwargs) File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\utils\autoreload.py", line 64, in wrapper fn(*args, **kwargs) File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\core\management\commands\runserver.py", line 134, in inner_run self.check(display_num_errors=True) File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\core\management\base.py", line 487, in check all_issues = checks.run_checks( File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\core\checks\registry.py", line 88, in run_checks new_errors = check(app_configs=app_configs, databases=databases) File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\core\checks\urls.py", line 14, in check_url_config return check_resolver(resolver) File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\core\checks\urls.py", line 24, in check_resolver return check_method() File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\urls\resolvers.py", line 481, in check messages.extend(check_resolver(pattern)) File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\core\checks\urls.py", line 24, in check_resolver return check_method() File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\urls\resolvers.py", line 480, in check for pattern in self.url_patterns: File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\utils\functional.py", line 49, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "C:\Users\circu\AppData\Local\Programs\Python\Python38\lib\site-packages\django\urls\resolvers.py", line 706, in url_patterns raise ImproperlyConfigured(msg.format(name=self.urlconf_name)) from e django.core.exceptions.ImproperlyConfigured: The included URLconf '<module 'yamanote_line_game_app.urls' from 'C:\\Users\\circu\\PycharmProjects\\yamamotesenGameProject\\yamamotesenGameProject\\yamanote_line_game_app\\urls.py'>' does not appear to have any patterns in it. If you see the 'urlpatterns' variable with valid patterns in the file then the issue is probably caused by a circular import.

コード

ファイルの構成はスクショの通りです。
イメージ説明

yamamotesenGameProject\urls.py↓

python

from django.contrib import admin from django.urls import path, include urlpatterns = [ path('admin/', admin.site.urls), path('yamanote_line_game_app/', include('yamanote_line_game_app.urls')), ]

yamanote_line_game_app\urls.py↓

python

from django.urls import path from yamanote_line_game_app import views # 画面遷移するときに使う app_name = 'yamanote_line_game_app' url_patterns = [ path('hello', views.index, name='index'), ]

views.py↓

python

from django.shortcuts import render from django.http import HttpResponse def index(request): return HttpResponse('<h1>Hello</h1>')

備考

https://stackoverflow.com/questions/70924854/typeerror-module-object-is-not-iterable-in-django-4
→打ち間違いが原因との記事で、参考にならず。
※今回、アプリケーション名はコピペし、typoになっていないことを確認しています。

https://stackoverflow.com/questions/70924854/typeerror-module-object-is-not-iterable-in-django-4
→urls.pyでアプリ下のまだ作成していないurls.pyをincludeで呼び出していたのが原因とのことで、今回は作成済みのため参考にならず。

他に有力そうな情報がなく、わからずにおります。

Djangoバージョン:4.0.5
Win10

よろしくお願いいたします。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。